/*
 * SPServices - Work with SharePoint's Web Services using jQuery
 * Version 0.7.2 -> Note to Marc: Also change var VERSION below.
 * @requires jQuery v1.4.2 or greater - jQuery 1.7+ recommended
 *
 * Copyright (c) 2009-2012 Sympraxis Consulting LLC
 * Examples and docs at:
 * http://spservices.codeplex.com
 * Licensed under the MIT license:
 * http://www.opensource.org/licenses/mit-license.php
 */
/**
 * @description Work with SharePoint's Web Services using jQuery
 * @type jQuery
 * @name SPServices
 * @category Plugins/SPServices
 * @author Sympraxis Consulting LLC/marc.anderson@sympraxisconsulting.com
 */
(function(V){var B="0.7.2";var k="/";var ae="Column not found on page";var G="http://schemas.microsoft.com/sharepoint";var r="Alerts";var q="Authentication";var x="Copy";var af="Forms";var s="Lists";var aa="Meetings";var e="People";var b="Permissions";var A="PublishedLinksService";var N="Search";var L="SharePointDiagnostics";var E="SiteData";var m="Sites";var ah="SocialDataService";var ad="SpellCheck";var ap="TaxonomyClientService";var ab="usergroup";var Y="UserProfileService";var au="Versions";var o="Views";var T="WebPartPages";var w="Webs";var d="Workflow";var f="";var y="";var ao=0;var ag="";var Z=[];Z.GetAlerts=[r,false];Z.DeleteAlerts=[r,true];Z.Mode=[q,false];Z.Login=[q,false];Z.CopyIntoItems=[x,true];Z.CopyIntoItemsLocal=[x,true];Z.GetItem=[x,false];Z.GetForm=[af,false];Z.GetFormCollection=[af,false];Z.AddAttachment=[s,true];Z.AddDiscussionBoardItem=[s,true];Z.AddList=[s,true];Z.AddListFromFeature=[s,true];Z.ApplyContentTypeToList=[s,true];Z.CheckInFile=[s,true];Z.CheckOutFile=[s,true];Z.CreateContentType=[s,true];Z.DeleteAttachment=[s,true];Z.DeleteContentType=[s,true];Z.DeleteContentTypeXmlDocument=[s,true];Z.DeleteList=[s,true];Z.GetAttachmentCollection=[s,false];Z.GetList=[s,false];Z.GetListAndView=[s,false];Z.GetListCollection=[s,false];Z.GetListContentType=[s,false];Z.GetListContentTypes=[s,false];Z.GetListItemChanges=[s,false];Z.GetListItemChangesSinceToken=[s,false];Z.GetListItems=[s,false];Z.GetVersionCollection=[s,false];Z.UndoCheckOut=[s,true];Z.UpdateContentType=[s,true];Z.UpdateContentTypesXmlDocument=[s,true];Z.UpdateContentTypeXmlDocument=[s,true];Z.UpdateList=[s,true];Z.UpdateListItems=[s,true];Z.AddMeeting=[aa,true];Z.CreateWorkspace=[aa,true];Z.RemoveMeeting=[aa,true];Z.SetWorkSpaceTitle=[aa,true];Z.ResolvePrincipals=[e,false];Z.SearchPrincipals=[e,false];Z.AddPermission=[b,true];Z.AddPermissionCollection=[b,true];Z.GetPermissionCollection=[b,true];Z.RemovePermission=[b,true];Z.RemovePermissionCollection=[b,true];Z.UpdatePermission=[b,true];Z.GetLinks=[A,true];Z.GetPortalSearchInfo=[N,false];Z.GetQuerySuggestions=[N,false];Z.GetSearchMetadata=[N,false];Z.Query=[N,false];Z.QueryEx=[N,false];Z.Registration=[N,false];Z.Status=[N,false];Z.SendClientScriptErrorReport=[L,true];Z.GetAttachments=[E,false];Z.EnumerateFolder=[E,false];Z.SiteDataGetList=[E,false];Z.SiteDataGetListCollection=[E,false];Z.SiteDataGetSite=[E,false];Z.SiteDataGetSiteUrl=[E,false];Z.SiteDataGetWeb=[E,false];Z.CreateWeb=[m,true];Z.DeleteWeb=[m,false];Z.GetSite=[m,false];Z.GetSiteTemplates=[m,false];Z.AddComment=[ah,true];Z.AddTag=[ah,true];Z.AddTagByKeyword=[ah,true];Z.CountCommentsOfUser=[ah,false];Z.CountCommentsOfUserOnUrl=[ah,false];Z.CountCommentsOnUrl=[ah,false];Z.CountRatingsOnUrl=[ah,false];Z.CountTagsOfUser=[ah,false];Z.DeleteComment=[ah,true];Z.DeleteRating=[ah,true];Z.DeleteTag=[ah,true];Z.DeleteTagByKeyword=[ah,true];Z.DeleteTags=[ah,true];Z.GetAllTagTerms=[ah,false];Z.GetAllTagTermsForUrlFolder=[ah,false];Z.GetAllTagUrls=[ah,false];Z.GetAllTagUrlsByKeyword=[ah,false];Z.GetCommentsOfUser=[ah,false];Z.GetCommentsOfUserOnUrl=[ah,false];Z.GetCommentsOnUrl=[ah,false];Z.GetRatingAverageOnUrl=[ah,false];Z.GetRatingOfUserOnUrl=[ah,false];Z.GetRatingOnUrl=[ah,false];Z.GetRatingsOfUser=[ah,false];Z.GetRatingsOnUrl=[ah,false];Z.GetSocialDataForFullReplication=[ah,false];Z.GetTags=[ah,true];Z.GetTagsOfUser=[ah,true];Z.GetTagTerms=[ah,true];Z.GetTagTermsOfUser=[ah,true];Z.GetTagTermsOnUrl=[ah,true];Z.GetTagUrlsOfUser=[ah,true];Z.GetTagUrlsOfUserByKeyword=[ah,true];Z.GetTagUrls=[ah,true];Z.GetTagUrlsByKeyword=[ah,true];Z.SetRating=[ah,true];Z.UpdateComment=[ah,true];Z.SpellCheck=[ad,false];Z.AddTerms=[ap,true];Z.GetChildTermsInTerm=[ap,false];Z.GetChildTermsInTermSet=[ap,false];Z.GetKeywordTermsByGuids=[ap,false];Z.GetTermsByLabel=[ap,false];Z.GetTermSets=[ap,false];Z.AddGroup=[ab,true];Z.AddGroupToRole=[ab,true];Z.AddRole=[ab,true];Z.AddRoleDef=[ab,true];Z.AddUserCollectionToGroup=[ab,true];Z.AddUserCollectionToRole=[ab,true];Z.AddUserToGroup=[ab,true];Z.AddUserToRole=[ab,true];Z.GetAllUserCollectionFromWeb=[ab,false];Z.GetGroupCollection=[ab,false];Z.GetGroupCollectionFromRole=[ab,false];Z.GetGroupCollectionFromSite=[ab,false];Z.GetGroupCollectionFromUser=[ab,false];Z.GetGroupCollectionFromWeb=[ab,false];Z.GetGroupInfo=[ab,false];Z.GetRoleCollection=[ab,false];Z.GetRoleCollectionFromGroup=[ab,false];Z.GetRoleCollectionFromUser=[ab,false];Z.GetRoleCollectionFromWeb=[ab,false];Z.GetRoleInfo=[ab,false];Z.GetRolesAndPermissionsForCurrentUser=[ab,false];Z.GetRolesAndPermissionsForSite=[ab,false];Z.GetUserCollection=[ab,false];Z.GetUserCollectionFromGroup=[ab,false];Z.GetUserCollectionFromRole=[ab,false];Z.GetUserCollectionFromSite=[ab,false];Z.GetUserCollectionFromWeb=[ab,false];Z.GetUserInfo=[ab,false];Z.GetUserLoginFromEmail=[ab,false];Z.RemoveGroup=[ab,true];Z.RemoveGroupFromRole=[ab,true];Z.RemoveRole=[ab,true];Z.RemoveUserCollectionFromGroup=[ab,true];Z.RemoveUserCollectionFromRole=[ab,true];Z.RemoveUserCollectionFromSite=[ab,true];Z.RemoveUserFromGroup=[ab,true];Z.RemoveUserFromRole=[ab,true];Z.RemoveUserFromSite=[ab,true];Z.RemoveUserFromWeb=[ab,true];Z.UpdateGroupInfo=[ab,true];Z.UpdateRoleDefInfo=[ab,true];Z.UpdateRoleInfo=[ab,true];Z.UpdateUserInfo=[ab,true];Z.AddColleague=[Y,true];Z.AddLink=[Y,true];Z.AddMembership=[Y,true];Z.AddPinnedLink=[Y,true];Z.CreateMemberGroup=[Y,true];Z.CreateUserProfileByAccountName=[Y,true];Z.GetCommonColleagues=[Y,false];Z.GetCommonManager=[Y,false];Z.GetCommonMemberships=[Y,false];Z.GetInCommon=[Y,false];Z.GetPropertyChoiceList=[Y,false];Z.GetUserColleagues=[Y,false];Z.GetUserLinks=[Y,false];Z.GetUserMemberships=[Y,false];Z.GetUserPinnedLinks=[Y,false];Z.GetUserProfileByGuid=[Y,false];Z.GetUserProfileByIndex=[Y,false];Z.GetUserProfileByName=[Y,false];Z.GetUserProfileCount=[Y,false];Z.GetUserProfileSchema=[Y,false];Z.ModifyUserPropertyByAccountName=[Y,true];Z.RemoveAllColleagues=[Y,true];Z.RemoveAllLinks=[Y,true];Z.RemoveAllMemberships=[Y,true];Z.RemoveAllPinnedLinks=[Y,true];Z.RemoveColleague=[Y,true];Z.RemoveLink=[Y,true];Z.RemoveMembership=[Y,true];Z.RemovePinnedLink=[Y,true];Z.UpdateColleaguePrivacy=[Y,true];Z.UpdateLink=[Y,true];Z.UpdateMembershipPrivacy=[Y,true];Z.UpdatePinnedLink=[Y,true];Z.DeleteAllVersions=[au,true];Z.DeleteVersion=[au,true];Z.GetVersions=[au,false];Z.RestoreVersion=[au,true];Z.AddView=[o,true];Z.DeleteView=[o,true];Z.GetView=[o,false];Z.GetViewHtml=[o,false];Z.GetViewCollection=[o,false];Z.UpdateView=[o,true];Z.UpdateViewHtml=[o,true];Z.AddWebPart=[T,true];Z.AddWebPartToZone=[T,true];Z.GetWebPart2=[T,false];Z.GetWebPartPage=[T,false];Z.GetWebPartProperties=[T,false];Z.GetWebPartProperties2=[T,false];Z.CreateContentType=[w,true];Z.GetColumns=[w,false];Z.GetContentType=[w,false];Z.GetContentTypes=[w,false];Z.GetCustomizedPageStatus=[w,false];Z.GetListTemplates=[w,false];Z.GetObjectIdFromUrl=[w,false];Z.GetWeb=[w,false];Z.GetWebCollection=[w,false];Z.GetAllSubWebCollection=[w,false];Z.UpdateColumns=[w,true];Z.UpdateContentType=[w,true];Z.WebUrlFromPageUrl=[w,false];Z.AlterToDo=[d,true];Z.GetTemplatesForItem=[d,false];Z.GetToDosForItem=[d,false];Z.GetWorkflowDataForItem=[d,false];Z.GetWorkflowTaskData=[d,false];Z.StartWorkflow=[d,true];var S={};S.header="<soap:Envelope xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xmlns:xsd='http://www.w3.org/2001/XMLSchema' xmlns:soap='http://schemas.xmlsoap.org/soap/envelope/'><soap:Body>";S.footer="</soap:Body></soap:Envelope>";S.payload="";var ac;V.fn.SPServices=function(t){var av=V.extend({},V.fn.SPServices.defaults,t);S.opheader="<"+av.operation+" ";switch(Z[av.operation][0]){case r:S.opheader+="xmlns='"+G+"/soap/2002/1/alerts/' >";ac=G+"/soap/2002/1/alerts/";break;case aa:S.opheader+="xmlns='"+G+"/soap/meetings/' >";ac=G+"/soap/meetings/";break;case b:S.opheader+="xmlns='"+G+"/soap/directory/' >";ac=G+"/soap/directory/";break;case A:S.opheader+="xmlns='http://microsoft.com/webservices/SharePointPortalServer/PublishedLinksService/' >";ac="http://microsoft.com/webservices/SharePointPortalServer/PublishedLinksService/";break;case N:S.opheader+="xmlns='urn:Microsoft.Search' >";ac="urn:Microsoft.Search/";break;case L:S.opheader+="xmlns='"+G+"/diagnostics/' >";ac="http://schemas.microsoft.com/sharepoint/diagnostics/";break;case ah:S.opheader+="xmlns='http://microsoft.com/webservices/SharePointPortalServer/SocialDataService' >";ac="http://microsoft.com/webservices/SharePointPortalServer/SocialDataService/";break;case ad:S.opheader+="xmlns='http://schemas.microsoft.com/sharepoint/publishing/spelling/'";ac="http://schemas.microsoft.com/sharepoint/publishing/spelling/SpellCheck";break;case ap:S.opheader+="xmlns='"+G+"/taxonomy/soap/' >";ac=G+"/taxonomy/soap/";break;case ab:S.opheader+="xmlns='"+G+"/soap/directory/' >";ac=G+"/soap/directory/";break;case Y:S.opheader+="xmlns='http://microsoft.com/webservices/SharePointPortalServer/UserProfileService' >";ac="http://microsoft.com/webservices/SharePointPortalServer/UserProfileService/";break;case T:S.opheader+="xmlns='http://microsoft.com/sharepoint/webpartpages' >";ac="http://microsoft.com/sharepoint/webpartpages/";break;case d:S.opheader+="xmlns='"+G+"/soap/workflow/' >";ac=G+"/soap/workflow/";break;default:S.opheader+="xmlns='"+G+"/soap/'>";ac=G+"/soap/";break}ac+=av.operation;S.opfooter="</"+av.operation+">";var ax="_vti_bin/"+Z[av.operation][0]+".asmx";if(av.webURL.charAt(av.webURL.length-1)===k){ax=av.webURL+ax}else{if(av.webURL.length>0){ax=av.webURL+k+ax}else{ax=V().SPServices.SPGetCurrentSite()+k+ax}}S.payload="";switch(av.operation){case"GetAlerts":break;case"DeleteAlerts":S.payload+="<IDs>";for(ao=0;ao<av.IDs.length;ao++){S.payload+=K("string",av.IDs[ao])}S.payload+="</IDs>";break;case"Mode":break;case"Login":j(av,["username","password"]);break;case"CopyIntoItems":j(av,["SourceUrl"]);S.payload+="<DestinationUrls>";for(ao=0;ao<av.DestinationUrls.length;ao++){S.payload+=K("string",av.DestinationUrls[ao])}S.payload+="</DestinationUrls>";j(av,["Fields","Stream","Results"]);break;case"CopyIntoItemsLocal":j(av,["SourceUrl"]);S.payload+="<DestinationUrls>";for(ao=0;ao<av.DestinationUrls.length;ao++){S.payload+=K("string",av.DestinationUrls[ao])}S.payload+="</DestinationUrls>";break;case"GetItem":j(av,["Url","Fields","Stream"]);break;case"GetForm":j(av,["listName","formUrl"]);break;case"GetFormCollection":j(av,["listName"]);break;case"AddAttachment":j(av,["listName","listItemID","fileName","attachment"]);break;case"AddDiscussionBoardItem":j(av,["listName","message"]);break;case"AddList":j(av,["listName","description","templateID"]);break;case"AddListFromFeature":j(av,["listName","description","featureID","templateID"]);break;case"ApplyContentTypeToList":j(av,["webUrl","contentTypeId","listName"]);break;case"CheckInFile":j(av,["pageUrl","comment","CheckinType"]);break;case"CheckOutFile":j(av,["pageUrl","checkoutToLocal","lastmodified"]);break;case"CreateContentType":j(av,["listName","displayName","parentType","fields","contentTypeProperties","addToView"]);break;case"DeleteAttachment":j(av,["listName","listItemID","url"]);break;case"DeleteContentType":j(av,["listName","contentTypeId"]);break;case"DeleteContentTypeXmlDocument":j(av,["listName","contentTypeId","documentUri"]);break;case"DeleteList":j(av,["listName"]);break;case"GetAttachmentCollection":j(av,["listName",["listItemID","ID"]]);break;case"GetList":j(av,["listName"]);break;case"GetListAndView":j(av,["listName","viewName"]);break;case"GetListCollection":break;case"GetListContentType":j(av,["listName","contentTypeId"]);break;case"GetListContentTypes":j(av,["listName"]);break;case"GetListItems":j(av,["listName","viewName",["query","CAMLQuery"],["viewFields","CAMLViewFields"],["rowLimit","CAMLRowLimit"],["queryOptions","CAMLQueryOptions"]]);break;case"GetListItemChanges":j(av,["listName","viewFields","since","contains"]);break;case"GetListItemChangesSinceToken":j(av,["listName","viewName","query","viewFields","rowLimit","queryOptions","changeToken","contains"]);break;case"GetVersionCollection":j(av,["strlistID","strlistItemID","strFieldName"]);break;case"UndoCheckOut":j(av,["pageUrl"]);break;case"UpdateContentType":j(av,["listName","contentTypeId","contentTypeProperties","newFields","updateFields","deleteFields","addToView"]);break;case"UpdateContentTypesXmlDocument":j(av,["listName","newDocument"]);break;case"UpdateContentTypeXmlDocument":j(av,["listName","contentTypeId","newDocument"]);break;case"UpdateList":j(av,["listName","listProperties","newFields","updateFields","deleteFields","listVersion"]);break;case"UpdateListItems":j(av,["listName"]);if(av.updates!==undefined&&av.updates.length>0){j(av,["updates"])}else{S.payload+="<updates><Batch OnError='Continue'><Method ID='1' Cmd='"+av.batchCmd+"'>";for(ao=0;ao<av.valuepairs.length;ao++){S.payload+="<Field Name='"+av.valuepairs[ao][0]+"'>"+D(av.valuepairs[ao][1])+"</Field>"}if(av.batchCmd!=="New"){S.payload+="<Field Name='ID'>"+av.ID+"</Field>"}S.payload+="</Method></Batch></updates>"}break;case"AddMeeting":j(av,["organizerEmail","uid","sequence","utcDateStamp","title","location","utcDateStart","utcDateEnd","nonGregorian"]);break;case"CreateWorkspace":j(av,["title","templateName","lcid","timeZoneInformation"]);break;case"RemoveMeeting":j(av,["recurrenceId","uid","sequence","utcDateStamp","cancelMeeting"]);break;case"SetWorkspaceTitle":j(av,["title"]);break;case"ResolvePrincipals":j(av,["principalKeys","principalType","addToUserInfoList"]);break;case"SearchPrincipals":j(av,["searchText","maxResults","principalType"]);break;case"AddPermission":j(av,["objectName","objectType","permissionIdentifier","permissionType","permissionMask"]);break;case"AddPermissionCollection":j(av,["objectName","objectType","permissionsInfoXml"]);break;case"GetPermissionCollection":j(av,["objectName","objectType"]);break;case"RemovePermission":j(av,["objectName","objectType","permissionIdentifier","permissionType"]);break;case"RemovePermissionCollection":j(av,["objectName","objectType","memberIdsXml"]);break;case"UpdatePermission":j(av,["objectName","objectType","permissionIdentifier","permissionType","permissionMask"]);break;case"GetLinks":break;case"GetPortalSearchInfo":S.opheader="<"+av.operation+" xmlns='http://microsoft.com/webservices/OfficeServer/QueryService'>";ac="http://microsoft.com/webservices/OfficeServer/QueryService/"+av.operation;break;case"GetQuerySuggestions":S.opheader="<"+av.operation+" xmlns='http://microsoft.com/webservices/OfficeServer/QueryService'>";ac="http://microsoft.com/webservices/OfficeServer/QueryService/"+av.operation;S.payload+=K("queryXml",a(av.queryXml));break;case"GetSearchMetadata":S.opheader="<"+av.operation+" xmlns='http://microsoft.com/webservices/OfficeServer/QueryService'>";ac="http://microsoft.com/webservices/OfficeServer/QueryService/"+av.operation;break;case"Query":S.payload+=K("queryXml",a(av.queryXml));break;case"QueryEx":S.opheader="<"+av.operation+" xmlns='http://microsoft.com/webservices/OfficeServer/QueryService'>";ac="http://microsoft.com/webservices/OfficeServer/QueryService/"+av.operation;S.payload+=K("queryXml",a(av.queryXml));break;case"Registration":S.payload+=K("registrationXml",a(av.registrationXml));break;case"Status":break;case"SendClientScriptErrorReport":j(av,["message","file","line","client","stack","team","originalFile"]);break;case"EnumerateFolder":j(av,["strFolderUrl"]);break;case"GetAttachments":j(av,["strListName","strItemId"]);break;case"SiteDataGetList":j(av,["strListName"]);S=aj(S,av.operation);break;case"SiteDataGetListCollection":S=aj(S,av.operation);break;case"SiteDataGetSite":S=aj(S,av.operation);break;case"SiteDataGetSiteUrl":j(av,["Url"]);S=aj(S,av.operation);break;case"SiteDataGetWeb":S=aj(S,av.operation);break;case"CreateWeb":j(av,["urlType","titleType","descriptionType","templateNameType","languageType","languageSpecifiedType","localeType","localeSpecifiedType","collationLocaleType","collationLocaleSpecifiedType","uniquePermissionsType","uniquePermissionsSpecifiedType","anonymousType","anonymousSpecifiedType","presenceType","presenceSpecifiedType"]);break;case"DeleteWeb":j(av,["url"]);break;case"GetSite":j(av,["SiteUrl"]);break;case"GetSiteTemplates":j(av,["LCID","TemplateList"]);break;case"AddComment":j(av,["url","comment","isHighPriority","title"]);break;case"AddTag":j(av,["url","termID","title","isPrivate"]);break;case"AddTagByKeyword":j(av,["url","keyword","title","isPrivate"]);break;case"CountCommentsOfUser":j(av,["userAccountName"]);break;case"CountCommentsOfUserOnUrl":j(av,["userAccountName","url"]);break;case"CountCommentsOnUrl":j(av,["url"]);break;case"CountRatingsOnUrl":j(av,["url"]);break;case"CountTagsOfUser":j(av,["userAccountName"]);break;case"DeleteComment":j(av,["url","lastModifiedTime"]);break;case"DeleteRating":j(av,["url"]);break;case"DeleteTag":j(av,["url","termID"]);break;case"DeleteTagByKeyword":j(av,["url","keyword"]);break;case"DeleteTags":j(av,["url"]);break;case"GetAllTagTerms":j(av,["maximumItemsToReturn"]);break;case"GetAllTagTermsForUrlFolder":j(av,["urlFolder","maximumItemsToReturn"]);break;case"GetAllTagUrls":j(av,["termID"]);break;case"GetAllTagUrlsByKeyword":j(av,["keyword"]);break;case"GetCommentsOfUser":j(av,["userAccountName","maximumItemsToReturn","startIndex"]);break;case"GetCommentsOfUserOnUrl":j(av,["userAccountName","url"]);break;case"GetCommentsOnUrl":j(av,["url","maximumItemsToReturn","startIndex"]);if(av.excludeItemsTime!==undefined&&av.excludeItemsTime.length>0){S.payload+=K("excludeItemsTime",av.excludeItemsTime)}break;case"GetRatingAverageOnUrl":j(av,["url"]);break;case"GetRatingOfUserOnUrl":j(av,["userAccountName","url"]);break;case"GetRatingOnUrl":j(av,["url"]);break;case"GetRatingsOfUser":j(av,["userAccountName"]);break;case"GetRatingsOnUrl":j(av,["url"]);break;case"GetSocialDataForFullReplication":j(av,["userAccountName"]);break;case"GetTags":j(av,["url"]);break;case"GetTagsOfUser":j(av,["userAccountName","maximumItemsToReturn","startIndex"]);break;case"GetTagTerms":j(av,["maximumItemsToReturn"]);break;case"GetTagTermsOfUser":j(av,["userAccountName","maximumItemsToReturn"]);break;case"GetTagTermsOnUrl":j(av,["url","maximumItemsToReturn"]);break;case"GetTagUrls":j(av,["termID"]);break;case"GetTagUrlsByKeyword":j(av,["keyword"]);break;case"GetTagUrlsOfUser":j(av,["termID","userAccountName"]);break;case"GetTagUrlsOfUserByKeyword":j(av,["keyword","userAccountName"]);break;case"SetRating":j(av,["url","rating","title","analysisDataEntry"]);break;case"UpdateComment":j(av,["url","lastModifiedTime","comment","isHighPriority"]);break;case"SpellCheck":j(av,["chunksToSpell","declaredLanguage","useLad"]);break;case"AddTerms":j(av,["sharedServiceId","termSetId","lcid","newTerms"]);break;case"GetChildTermsInTerm":j(av,["sspId","lcid","termId","termSetId"]);break;case"GetChildTermsInTermSet":j(av,["sspId","lcid","termSetId"]);break;case"GetKeywordTermsByGuids":j(av,["termIds","lcid"]);break;case"GetTermsByLabel":j(av,["label","lcid","matchOption","resultCollectionSize","termIds","addIfNotFound"]);break;case"GetTermSets":j(av,["sharedServiceId","termSetId","lcid","clientTimeStamps","clientVersions"]);break;case"AddGroup":j(av,["groupName","ownerIdentifier","ownerType","defaultUserLoginName","description"]);break;case"AddGroupToRole":j(av,["groupName","roleName"]);break;case"AddRole":j(av,["roleName","description","permissionMask"]);break;case"AddRoleDef":j(av,["roleName","description","permissionMask"]);break;case"AddUserCollectionToGroup":j(av,["groupName","usersInfoXml"]);break;case"AddUserCollectionToRole":j(av,["roleName","usersInfoXml"]);break;case"AddUserToGroup":j(av,["groupName","userName","userLoginName","userEmail","userNotes"]);break;case"AddUserToRole":j(av,["roleName","userName","userLoginName","userEmail","userNotes"]);break;case"GetAllUserCollectionFromWeb":break;case"GetGroupCollection":j(av,["groupNamesXml"]);break;case"GetGroupCollectionFromRole":j(av,["roleName"]);break;case"GetGroupCollectionFromSite":break;case"GetGroupCollectionFromUser":j(av,["userLoginName"]);break;case"GetGroupCollectionFromWeb":break;case"GetGroupInfo":j(av,["groupName"]);break;case"GetRoleCollection":j(av,["roleNamesXml"]);break;case"GetRoleCollectionFromGroup":j(av,["groupName"]);break;case"GetRoleCollectionFromUser":j(av,["userLoginName"]);break;case"GetRoleCollectionFromWeb":break;case"GetRoleInfo":j(av,["roleName"]);break;case"GetRolesAndPermissionsForCurrentUser":break;case"GetRolesAndPermissionsForSite":break;case"GetUserCollection":j(av,["userLoginNamesXml"]);break;case"GetUserCollectionFromGroup":j(av,["groupName"]);break;case"GetUserCollectionFromRole":j(av,["roleName"]);break;case"GetUserCollectionFromSite":break;case"GetUserCollectionFromWeb":break;case"GetUserInfo":j(av,["userLoginName"]);break;case"GetUserLoginFromEmail":j(av,["emailXml"]);break;case"RemoveGroup":j(av,["groupName"]);break;case"RemoveGroupFromRole":j(av,["roleName","groupName"]);break;case"RemoveRole":j(av,["roleName"]);break;case"RemoveUserCollectionFromGroup":j(av,["groupName","userLoginNamesXml"]);break;case"RemoveUserCollectionFromRole":j(av,["roleName","userLoginNamesXml"]);break;case"RemoveUserCollectionFromSite":j(av,["userLoginNamesXml"]);break;case"RemoveUserFromGroup":j(av,["groupName","userLoginName"]);break;case"RemoveUserFromRole":j(av,["roleName","userLoginName"]);break;case"RemoveUserFromSite":j(av,["userLoginName"]);break;case"RemoveUserFromWeb":j(av,["userLoginName"]);break;case"UpdateGroupInfo":j(av,["oldGroupName","groupName","ownerIdentifier","ownerType","description"]);break;case"UpdateRoleDefInfo":j(av,["oldRoleName","roleName","description","permissionMask"]);break;case"UpdateRoleInfo":j(av,["oldRoleName","roleName","description","permissionMask"]);break;case"UpdateUserInfo":j(av,["userLoginName","userName","userEmail","userNotes"]);break;case"AddColleague":j(av,["accountName","colleagueAccountName","group","privacy","isInWorkGroup"]);break;case"AddLink":j(av,["accountName","name","url","group","privacy"]);break;case"AddMembership":j(av,["accountName","membershipInfo","group","privacy"]);break;case"AddPinnedLink":j(av,["accountName","name","url"]);break;case"CreateMemberGroup":j(av,["membershipInfo"]);break;case"CreateUserProfileByAccountName":j(av,["accountName"]);break;case"GetCommonColleagues":j(av,["accountName"]);break;case"GetCommonManager":j(av,["accountName"]);break;case"GetCommonMemberships":j(av,["accountName"]);break;case"GetInCommon":j(av,["accountName"]);break;case"GetPropertyChoiceList":j(av,["propertyName"]);break;case"GetUserColleagues":j(av,["accountName"]);break;case"GetUserLinks":j(av,["accountName"]);break;case"GetUserMemberships":j(av,["accountName"]);break;case"GetUserPinnedLinks":j(av,["accountName"]);break;case"GetUserProfileByGuid":j(av,["guid"]);break;case"GetUserProfileByIndex":j(av,["index"]);break;case"GetUserProfileByName":if(av.accountName!==undefined&&av.accountName.length>0){j(av,[["AccountName","accountName"]])}else{j(av,["AccountName"])}break;case"GetUserProfileCount":break;case"GetUserProfileSchema":break;case"ModifyUserPropertyByAccountName":j(av,["accountName","newData"]);break;case"RemoveAllColleagues":j(av,["accountName"]);break;case"RemoveAllLinks":j(av,["accountName"]);break;case"RemoveAllMemberships":j(av,["accountName"]);break;case"RemoveAllPinnedLinks":j(av,["accountName"]);break;case"RemoveColleague":j(av,["accountName","colleagueAccountName"]);break;case"RemoveLink":j(av,["accountName","id"]);break;case"RemoveMembership":j(av,["accountName","sourceInternal","sourceReference"]);break;case"RemovePinnedLink":j(av,["accountName","id"]);break;case"UpdateColleaguePrivacy":j(av,["accountName","colleagueAccountName","newPrivacy"]);break;case"UpdateLink":j(av,["accountName","data"]);break;case"UpdateMembershipPrivacy":j(av,["accountName","sourceInternal","sourceReference","newPrivacy"]);break;case"UpdatePinnedLink ":j(av,["accountName","data"]);break;case"DeleteAllVersions":j(av,["fileName"]);break;case"DeleteVersion":j(av,["fileName","fileVersion"]);break;case"GetVersions":j(av,["fileName"]);break;case"RestoreVersion":j(av,["fileName","fileVersion"]);break;case"AddView":j(av,["listName","viewName","viewFields","query","rowLimit","rowLimit","type","makeViewDefault"]);break;case"DeleteView":j(av,["listName","viewName"]);break;case"GetView":j(av,["listName","viewName"]);break;case"GetViewCollection":j(av,["listName"]);break;case"GetViewHtml":j(av,["listName","viewName"]);break;case"UpdateView":j(av,["listName","viewName","viewProperties","query","viewFields","aggregations","formats","rowLimit"]);break;case"UpdateViewHtml":j(av,["listName","viewName","viewProperties","toolbar","viewHeader","viewBody","viewFooter","viewEmpty","rowLimitExceeded","query","viewFields","aggregations","formats","rowLimit"]);break;case"AddWebPart":j(av,["pageUrl","webPartXml","storage"]);break;case"AddWebPartToZone":j(av,["pageUrl","webPartXml","storage","zoneId","zoneIndex"]);break;case"GetWebPart2":j(av,["pageUrl","storageKey","storage","behavior"]);break;case"GetWebPartPage":j(av,["documentName","behavior"]);break;case"GetWebPartProperties":j(av,["pageUrl","storage"]);break;case"GetWebPartProperties2":j(av,["pageUrl","storage","behavior"]);break;case"Webs.CreateContentType":j(av,["displayName","parentType","newFields","contentTypeProperties"]);break;case"GetColumns":j(av,["webUrl"]);break;case"GetContentType":j(av,["contentTypeId"]);break;case"GetContentTypes":break;case"GetCustomizedPageStatus":j(av,["fileUrl"]);break;case"GetListTemplates":break;case"GetObjectIdFromUrl":j(av,["objectUrl"]);break;case"GetWeb":j(av,[["webUrl","webURL"]]);break;case"GetWebCollection":break;case"GetAllSubWebCollection":break;case"UpdateColumns":j(av,["newFields","updateFields","deleteFields"]);break;case"Webs.UpdateContentType":j(av,["contentTypeId","contentTypeProperties","newFields","updateFields","deleteFields"]);break;case"WebUrlFromPageUrl":j(av,[["pageUrl","pageURL"]]);break;case"AlterToDo":j(av,["item","todoId","todoListId","taskData"]);break;case"GetTemplatesForItem":j(av,["item"]);break;case"GetToDosForItem":j(av,["item"]);break;case"GetWorkflowDataForItem":j(av,["item"]);break;case"GetWorkflowTaskData":j(av,["item","listId","taskId"]);break;case"StartWorkflow":j(av,["item","templateId","workflowParameters"]);break;default:break}var ay=S.header+S.opheader+S.payload+S.opfooter+S.footer;var aw;var i=null;if(av.cacheXML){aw=V("body").data(ay)}if(aw===undefined){V.ajax({url:ax,async:av.async,beforeSend:function(az){if(Z[av.operation][1]){az.setRequestHeader("SOAPAction",ac)}},type:"POST",data:ay,dataType:"xml",contentType:"text/xml;charset='utf-8'",complete:function(aA,az){if(av.cacheXML){V("body").data(ay,aA)}aw=aA;i=az;av.completefunc(aw,i)}})}else{av.completefunc(aw,i)}};V.fn.SPServices.defaults={cacheXML:false,operation:"",webURL:"",makeViewDefault:false,CAMLViewName:"",CAMLQuery:"",CAMLViewFields:"",CAMLRowLimit:0,CAMLQueryOptions:"<QueryOptions></QueryOptions>",batchCmd:"Update",valuepairs:[],DestinationUrls:[],behavior:"Version3",storage:"Shared",objectType:"List",cancelMeeting:true,nonGregorian:false,fClaim:false,recurrenceId:0,sequence:0,maximumItemsToReturn:0,startIndex:0,isHighPriority:false,isPrivate:false,rating:1,maxResults:10,principalType:"User",async:true,completefunc:null};V.fn.SPServices.SPGetCurrentSite=function(){if(f.length>0){return f}var i=S.header+"<WebUrlFromPageUrl xmlns='"+G+"/soap/' ><pageUrl>"+((location.href.indexOf("?")>0)?location.href.substr(0,location.href.indexOf("?")):location.href)+"</pageUrl></WebUrlFromPageUrl>"+S.footer;V.ajax({async:false,url:"/_vti_bin/Webs.asmx",type:"POST",data:i,dataType:"xml",contentType:'text/xml;charset="utf-8"',complete:function(av,t){f=V(av.responseXML).find("WebUrlFromPageUrlResult").text()}});return f};V.fn.SPServices.SPCascadeDropdowns=function(av){var ay=V.extend({},{relationshipWebURL:"",relationshipList:"",relationshipListParentColumn:"",relationshipListChildColumn:"",relationshipListSortColumn:"",parentColumn:"",childColumn:"",listName:V().SPServices.SPListNameFromUrl(),CAMLQuery:"",promptText:"",noneText:"(None)",simpleChild:false,selectSingleOption:false,matchOnId:false,completefunc:null,debug:false},av);var ax=false;var aA="SPServices.SPCascadeDropdowns";var aw=new ai(ay.parentColumn);if(aw.Obj.html()===null&&ay.debug){R(aA,"parentColumn: "+ay.parentColumn,ae);return}var i=new ai(ay.childColumn);if(i.Obj.html()===null&&ay.debug){R(aA,"childColumn: "+ay.childColumn,ae);return}if(ay.simpleChild===true&&i.Type==="C"){V().SPServices.SPComplexToSimpleDropdown({columnName:ay.childColumn});i=new ai(ay.childColumn)}V().SPServices({operation:"GetList",async:false,cacheXML:true,listName:ay.listName,completefunc:function(aC,aB){V(aC.responseXML).find("Fields").each(function(){V(this).find("Field[DisplayName='"+ay.childColumn+"']").each(function(){childColumnRequired=(V(this).attr("Required")==="TRUE")?true:false;childColumnStatic=V(this).attr("StaticName");return false})})}});var az={opt:ay,childSelect:i,childColumnStatic:childColumnStatic,childColumnRequired:childColumnRequired};var t=aw.Obj.data("SPCascadeDropdownsChildColumns");if(t===undefined){aw.Obj.data("SPCascadeDropdownsChildColumns",[az])}else{t.push(az);aw.Obj.data("SPCascadeDropdownsChildColumns",t);ax=true}if(!ax){switch(aw.Type){case"S":aw.Obj.bind("change",function(){am(ay.parentColumn,aw)});break;case"C":V("input[id='"+aw.Obj.attr("optHid")+"']").bind("propertychange",function(){am(ay.parentColumn,aw)});break;case"M":aw.Obj.bind("dblclick",function(){am(ay.parentColumn,aw)});parentSelections=aw.Obj.closest("span").find("select[id$='SelectResult']");parentSelections.bind("dblclick",function(){am(ay.parentColumn,aw)});aw.Obj.closest("span").find("button").each(function(){V(this).bind("click",function(){am(ay.parentColumn,aw)})});break;default:break}}am(ay.parentColumn,aw)};function am(aD,ax){var aE="";var aw;var az=null;var i;var aA;var aC;var ay;var aB;var av;var t=ax.Obj.data("SPCascadeDropdownsChildColumns");V(t).each(function(){var aJ=this.opt;var aH=this.childSelect;var aM=this.childColumnStatic;var aI=this.childColumnRequired;aw=W(ax,aJ.matchOnId);var aG=aw.join(";#");if(ax.Obj.data("SPCascadeDropdown_Selected_"+aM)===aG){return}ax.Obj.data("SPCascadeDropdown_Selected_"+aM,aG);az=W(aH,true);if(aH.Type==="M"){aA=aH.Obj.closest("span").find("input[name$='MultiLookupPicker$data']");i=window[aH.Obj.closest("tr").find("button[id$='AddButton']").attr("id").replace(/AddButton/,"MultiLookupPicker_m")];currentSelection=aH.Obj.closest("span").find("select[ID$='SelectResult']")}var aL=(aJ.relationshipListSortColumn.length>0)?aJ.relationshipListSortColumn:aJ.relationshipListChildColumn;var aF="<Query><OrderBy><FieldRef Name='"+aL+"'/></OrderBy><Where><And>";if(aJ.CAMLQuery.length>0){aF+="<And>"}if(aw.length===0){aF+="<Eq><FieldRef Name='"+aJ.relationshipListParentColumn+"'/><Value Type='Text'></Value></Eq>"}else{if(aw.length===1){aF+="<Eq><FieldRef Name='"+aJ.relationshipListParentColumn+(aJ.matchOnId?"' LookupId='True'/><Value Type='Integer'>":"'/><Value Type='Text'>")+D(aw[0])+"</Value></Eq>"}else{var aK=(aw.length>2)?true:false;for(ao=0;ao<(aw.length-1);ao++){aF+="<Or>"}for(ao=0;ao<aw.length;ao++){aF+="<Eq><FieldRef Name='"+aJ.relationshipListParentColumn+(aJ.matchOnId?"' LookupId='True'/><Value Type='Integer'>":"'/><Value Type='Text'>")+D(aw[ao])+"</Value></Eq>";if(ao>0&&(ao<(aw.length-1))&&aK){aF+="</Or>"}}aF+="</Or>"}}if(aJ.CAMLQuery.length>0){aF+=aJ.CAMLQuery+"</And>"}aF+="<IsNotNull><FieldRef Name='"+aJ.relationshipListChildColumn+"' /></IsNotNull>";aF+="</And></Where></Query>";V().SPServices({operation:"GetListItems",async:false,webURL:aJ.relationshipWebURL,listName:aJ.relationshipList,CAMLQuery:aF,CAMLViewFields:"<ViewFields><FieldRef Name='"+aJ.relationshipListParentColumn+"' /><FieldRef Name='"+aJ.relationshipListChildColumn+"' /></ViewFields>",CAMLRowLimit:0,CAMLQueryOptions:"<QueryOptions><IncludeMandatoryColumns>FALSE</IncludeMandatoryColumns></QueryOptions>",completefunc:function(aO,aN){V(aO.responseXML).find("errorstring").each(function(){var aQ="SPServices.SPCascadeDropdowns";var aP=V(this).text();if(aJ.debug&&aP==="One or more field types are not installed properly. Go to the list settings page to delete these fields."){R(aQ,"relationshipListParentColumn: "+aJ.relationshipListParentColumn+" or relationshipListChildColumn: "+aJ.relationshipListChildColumn,"Not found in relationshipList "+aJ.relationshipList)}else{if(aJ.debug&&aP==="Guid should contain 32 digits with 4 dashes (xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx)."){R(aQ,"relationshipList: "+aJ.relationshipList,"List not found")}}return});switch(aH.Type){case"S":V(aH.Obj).find("option").remove();if(!aI&&(aJ.promptText.length>0)){aH.Obj.append("<option value='0'>"+aJ.promptText.replace(/\{0\}/g,aJ.childColumn)+"</option>")}else{if(!aI){aH.Obj.append("<option value='0'>"+aJ.noneText+"</option>")}}break;case"C":aE=aI?"":aJ.noneText+"|0";aH.Obj.attr("value","");break;case"M":V(aH.Obj).find("option").remove();aC="";break;default:break}ay=parseFloat(V(aO.responseXML).SPFilterNode("rs:data").attr("ItemCount"));V(aO.responseXML).SPFilterNode("z:row").each(function(){var aR,aQ;var aP=V(this).attr("ows_"+aJ.relationshipListChildColumn);if(aP!==undefined&&aP.indexOf(";#")>0){var aT=aP.split(";#");aR=aT[0];aQ=aT[1]}else{aR=V(this).attr("ows_ID");aQ=aP}if(isNaN(aR)){aR=V(this).attr("ows_ID")}aB=aR;av=aQ;switch(aH.Type){case"S":var aS=(V(this).attr("ows_ID")===az[0])?" selected='selected'":"";aH.Obj.append("<option"+aS+" value='"+aR+"'>"+aQ+"</option>");break;case"C":if(aR===az[0]){aH.Obj.attr("value",aQ)}aE=aE+((aE.length>0)?"|":"")+aQ+"|"+aR;break;case"M":aH.Obj.append("<option value='"+aR+"'>"+aQ+"</option>");aC+=aR+"|t"+aQ+"|t |t |t";break;default:break}});switch(aH.Type){case"S":aH.Obj.trigger("change");if(ay===1&&aJ.selectSingleOption===true){V(aH.Obj).find("option[value!='0']:first").attr("selected","selected")}break;case"C":aH.Obj.attr("choices",aE);if(ay===1&&aJ.selectSingleOption===true){V(aH.Obj).attr("value",av);V("input[id='"+aH.Obj.attr("optHid")+"']").val(aB)}if(aH.Obj.val()===""){V("input[id='"+aH.Obj.attr("optHid")+"']").val("")}break;case"M":i.data="";aA.attr("value",aC);V(currentSelection).find("option").each(function(){var aQ=V(this);var aP=V(this).html();V(this).attr("selected","selected");V(aH.Obj).find("option").filter(function(){return V(this).text()==aP.replace(/&amp;/,"&")}).each(function(){if(V(this).html()===aP){aQ.removeAttr("selected")}})});GipRemoveSelectedItems(i);V(aH.Obj).find("option").each(function(){var aP=V(this);V(currentSelection).find("option").each(function(){if(V(this).html()===aP.html()){aP.remove()}})});GipAddSelectedItems(i);i.data=GipGetGroupData(aC);aH.Obj.trigger("dblclick");break;default:break}}});if(aJ.completefunc!==null){aJ.completefunc()}})}V.fn.SPServices.SPComplexToSimpleDropdown=function(aC){var i=V.extend({},{columnName:"",completefunc:null,debug:false},aC);var av=new ai(i.columnName);if(av.Obj.html()===null&&i.debug){R("SPServices.SPComplexToSimpleDropdown","columnName: "+i.columnName,ae);return}if(av.Type!=="C"){return}var aA=V(av.Obj).attr("choices").split("|");var aw=V(av.Obj).attr("optHid");var aB=V("input[id='"+aw+"']");var t=V("input[id='"+aw+"']").val();var ax=n("SPComplexToSimpleDropdown",i.columnName);var az="<select id='"+ax+"' title='"+i.columnName+"'>";for(ao=0;ao<aA.length;ao=ao+2){var ay=(aA[ao+1]===t)?" selected='selected' ":" ";az+="<option"+ay+"value='"+aA[ao+1]+"'>"+aA[ao]+"</option>"}az+="</select>";V(av.Obj).closest("td").prepend(az);V(av.Obj).closest("span").find("img").remove();V(av.Obj).closest("span").find("input").hide();V("#"+ax).change(function(){var aD=V(this).val();aB.val(aD);V(av.Obj).val(V(this).find("option[value='"+(aD!=="0"?aD:"")+"']").html())});V("#"+ax).trigger("change");if(i.completefunc!==null){i.completefunc()}};V.fn.SPServices.SPDisplayRelatedInfo=function(t){var aw=V.extend({},{columnName:"",relatedWebURL:"",relatedList:"",relatedListColumn:"",relatedColumns:[],displayFormat:"table",headerCSSClass:"ms-vh2",rowCSSClass:"ms-vb",CAMLQuery:"",numChars:0,matchType:"Eq",matchOnId:false,completefunc:null,debug:false},t);var i;var av=[];var az;var ay="SPServices.SPDisplayRelatedInfo";var ax=new ai(aw.columnName);if(ax.Obj.html()===null&&aw.debug){R(ay,"columnName: "+aw.columnName,ae);return}i=n("SPDisplayRelatedInfo",aw.columnName);V().SPServices({operation:"GetList",async:false,cacheXML:true,webURL:aw.relatedWebURL,listName:aw.relatedList,completefunc:function(aB,aA){V(aB.responseXML).find("faultcode").each(function(){if(aw.debug){R(ay,"relatedList: "+aw.relatedList,"List not found");return}});az=V(aB.responseXML).find("List");for(ao=0;ao<aw.relatedColumns.length;ao++){av[ao]=V(aB.responseXML).find("Fields > Field[Name='"+aw.relatedColumns[ao]+"']")}}});switch(ax.Type){case"S":ax.Obj.bind("change",function(){P(aw,i,az,av)});break;case"C":V("input[id='"+ax.Obj.attr("optHid")+"']").bind("propertychange",function(){P(aw,i,az,av)});break;case"M":if(aw.debug){R(ay,"columnName: "+aw.columnName,"Multi-select columns not supported by this function")}break;default:break}P(aw,i,az,av)};function P(t,ay,aA,av){var aB=null;var ax="SPServices.SPDisplayRelatedInfo";var aw=new ai(t.columnName);aB=W(aw,t.matchOnId);if(aw.Type==="C"&&t.numChars>0&&aB[0].length<t.numChars){return}if(aw.Obj.attr("showRelatedSelected")===aB[0]){return}aw.Obj.attr("showRelatedSelected",aB[0]);V("#"+ay).remove();aw.Obj.parent().append("<div id="+ay+"></div>");var i="<Query><Where>";if(t.CAMLQuery.length>0){i+="<And>"}i+="<Eq><FieldRef Name='"+t.relatedListColumn+(t.matchOnId?"' LookupId='True'/><Value Type='Integer'>":"'/><Value Type='Text'>")+D(aB[0])+"</Value></Eq>";if(t.CAMLQuery.length>0){i+=t.CAMLQuery+"</And>"}i+="</Where></Query>";var az=" ";for(ao=0;ao<t.relatedColumns.length;ao++){az+="<FieldRef Name='"+t.relatedColumns[ao]+"' />"}V().SPServices({operation:"GetListItems",async:false,webURL:t.relatedWebURL,listName:t.relatedList,CAMLQuery:i,CAMLViewFields:"<ViewFields>"+az+"</ViewFields>",CAMLRowLimit:0,completefunc:function(aE,aD){V(aE.responseXML).find("errorstring").each(function(){var aF=V(this).text();if(t.debug&&aF==="One or more field types are not installed properly. Go to the list settings page to delete these fields."){R(ax,"relatedListColumn: "+t.relatedListColumn,"Column not found in relatedList "+t.relatedList)}else{if(t.debug&&aF==="Guid should contain 32 digits with 4 dashes (xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx)."){R(ax,"relatedList: "+t.relatedList,"List not found")}}return});var aC;switch(t.displayFormat){case"table":aC="<table>";aC+="<tr>";for(ao=0;ao<t.relatedColumns.length;ao++){if(typeof av[ao]==="undefined"&&t.debug){R(ax,"columnName: "+t.relatedColumns[ao],"Column not found in relatedList");return}aC+="<th class='"+t.headerCSSClass+"'>"+av[ao].attr("DisplayName")+"</th>"}aC+="</tr>";V(aE.responseXML).SPFilterNode("z:row").each(function(){aC+="<tr>";for(ao=0;ao<t.relatedColumns.length;ao++){aC+="<td class='"+t.rowCSSClass+"'>"+F(aA,av[ao],V(this).attr("ows_"+t.relatedColumns[ao]),t)+"</td>"}aC+="</tr>"});aC+="</table>";break;case"list":aC="<table>";V(aE.responseXML).SPFilterNode("z:row").each(function(){for(ao=0;ao<t.relatedColumns.length;ao++){if(typeof av[ao]==="undefined"&&t.debug){R(ax,"columnName: "+t.relatedColumns[ao],"Column not found in relatedList");return}aC+="<tr>";aC+="<th class='"+t.headerCSSClass+"'>"+av[ao].attr("DisplayName")+"</th>";aC+="<td class='"+t.rowCSSClass+"'>"+F(aA,av[ao],V(this).attr("ows_"+t.relatedColumns[ao]),t)+"</td>";aC+="</tr>"}});aC+="</table>";break;default:break}V("#"+ay).html(aC)}});if(t.completefunc!==null){t.completefunc()}}V.fn.SPServices.SPFilterDropdown=function(aE){var av=V.extend({},{relationshipWebURL:"",relationshipList:"",relationshipListColumn:"",relationshipListSortColumn:"",columnName:"",listName:V().SPServices.SPListNameFromUrl(),promptText:"",noneText:"(None)",CAMLQuery:"",CAMLQueryOptions:"<QueryOptions><IncludeMandatoryColumns>FALSE</IncludeMandatoryColumns><ViewAttributes Scope='RecursiveAll'/></QueryOptions>",completefunc:null,debug:false},aE);var aD="";var aC=null;var t;var ax;var aB;var aA;var az="SPServices.SPFilterDropdown";var ay=new ai(av.columnName);if(ay.Obj.html()===null&&av.debug){R(az,"columnName: "+av.columnName,ae);return}aC=W(ay,true);var aw=(av.relationshipListSortColumn.length>0)?av.relationshipListSortColumn:av.relationshipListColumn;var i="<Query><OrderBy><FieldRef Name='"+aw+"'/></OrderBy><Where>";if(av.CAMLQuery.length>0){i+=av.CAMLQuery}i+="</Where></Query>";V().SPServices({operation:"GetList",async:false,cacheXML:true,listName:av.listName,completefunc:function(aG,aF){V(aG.responseXML).find("Fields").each(function(){V(this).find("Field[DisplayName='"+av.columnName+"']").each(function(){aA=(V(this).attr("Required")==="TRUE")?true:false;return false})})}});V().SPServices({operation:"GetListItems",async:false,webURL:av.relationshipWebURL,listName:av.relationshipList,CAMLQuery:i,CAMLViewFields:"<ViewFields><FieldRef Name='"+av.relationshipListColumn+"' /></ViewFields>",CAMLRowLimit:0,CAMLQueryOptions:av.CAMLQueryOptions,completefunc:function(aG,aF){V(aG.responseXML).find("errorstring").each(function(){var aH=V(this).text();if(av.debug&&aH==="One or more field types are not installed properly. Go to the list settings page to delete these fields."){R(az,"relationshipListColumn: "+av.relationshipListColumn,"Not found in relationshipList "+av.relationshipList)}else{if(av.debug&&aH==="Guid should contain 32 digits with 4 dashes (xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx)."){R(az,"relationshipList: "+av.relationshipList,"List not found")}}return});switch(ay.Type){case"S":V(ay.Obj).find("option").remove();if(!aA&&(av.promptText.length>0)){ay.Obj.append("<option value='0'>"+av.promptText.replace(/\{0\}/g,av.columnName)+"</option>")}else{if(!aA){ay.Obj.append("<option value='0'>"+av.noneText+"</option>")}}break;case"C":aD=aA?"":av.noneText+"|0";ay.Obj.attr("value","");break;case"M":V(ay.Obj).find("option").remove();aB="";break;default:break}V(aG.responseXML).SPFilterNode("z:row").each(function(){var aJ,aI;var aH=V(this).attr("ows_"+av.relationshipListColumn);if(aH!==undefined&&aH.indexOf(";#")>0){var aL=aH.split(";#");aJ=aL[0];aI=aL[1]}else{aJ=V(this).attr("ows_ID");aI=aH}if(isNaN(aJ)){aJ=V(this).attr("ows_ID")}switch(ay.Type){case"S":var aK=(V(this).attr("ows_ID")===aC[0])?" selected='selected'":"";ay.Obj.append("<option"+aK+" value='"+aJ+"'>"+aI+"</option>");break;case"C":if(aJ===aC[0]){ay.Obj.attr("value",aI)}aD=aD+((aD.length>0)?"|":"")+aI+"|"+aJ;break;case"M":ay.Obj.append("<option value='"+aJ+"'>"+aI+"</option>");aB+=aJ+"|t"+aI+"|t |t |t";break;default:break}});switch(ay.Type){case"S":ay.Obj.trigger("change");break;case"C":ay.Obj.attr("choices",aD);ay.Obj.trigger("propertychange");break;case"M":ax=ay.Obj.closest("span").find("input[name$='MultiLookupPicker$data']");t=window[ay.Obj.closest("tr").find("button[id$='AddButton']").attr("id").replace(/AddButton/,"MultiLookupPicker_m")];currentSelection=ay.Obj.closest("span").find("select[ID$='SelectResult']");t.data="";ax.attr("value",aB);V(currentSelection).find("option").each(function(){var aH=V(this);V(this).attr("selected","selected");V(ay.Obj).find("option").each(function(){if(V(this).html()===aH.html()){aH.removeAttr("selected")}})});GipRemoveSelectedItems(t);V(ay.Obj).find("option").each(function(){var aH=V(this);V(currentSelection).find("option").each(function(){if(V(this).html()===aH.html()){aH.remove()}})});GipAddSelectedItems(t);t.data=GipGetGroupData(aB);ay.Obj.trigger("dblclick");break;default:break}}});if(av.completefunc!==null){av.completefunc()}};V.fn.SPServices.SPDebugXMLHttpResult=function(av){var ax=V.extend({},{node:null,indent:0},av);var aw;var az=3;var ay=4;var t="";t+="<table class='ms-vb' style='margin-left:"+ax.indent*3+"px;' width='100%'>";if(ax.node.nodeName==="DisplayPattern"){t+="<tr><td width='100px' style='font-weight:bold;'>"+ax.node.nodeName+"</td><td><textarea readonly='readonly' rows='5' cols='50'>"+ax.node.xml+"</textarea></td></tr>"}else{if(!ax.node.hasChildNodes()){t+="<tr><td width='100px' style='font-weight:bold;'>"+ax.node.nodeName+"</td><td>"+((ax.node.nodeValue!==null)?C(ax.node.nodeValue):"&nbsp;")+"</td></tr>";if(ax.node.attributes){t+="<tr><td colspan='99'>"+ak(ax.node,ax)+"</td></tr>"}}else{if(ax.node.hasChildNodes()&&ax.node.firstChild.nodeType===ay){t+="<tr><td width='100px' style='font-weight:bold;'>"+ax.node.nodeName+"</td><td><textarea readonly='readonly' rows='5' cols='50'>"+ax.node.parentNode.text+"</textarea></td></tr>"}else{if(ax.node.hasChildNodes()&&ax.node.firstChild.nodeType===az){t+="<tr><td width='100px' style='font-weight:bold;'>"+ax.node.nodeName+"</td><td>"+C(ax.node.firstChild.nodeValue)+"</td></tr>"}else{t+="<tr><td width='100px' style='font-weight:bold;' colspan='99'>"+ax.node.nodeName+"</td></tr>";if(ax.node.attributes){t+="<tr><td colspan='99'>"+ak(ax.node,ax)+"</td></tr>"}t+="<tr><td>";for(aw=0;aw<ax.node.childNodes.length;aw++){t+=V().SPServices.SPDebugXMLHttpResult({node:ax.node.childNodes.item(aw),indent:ax.indent+1})}t+="</td></tr>"}}}}t+="</table>";return t};V.fn.SPServices.SPGetCurrentUser=function(aw){var ay=V.extend({},{fieldName:"Name",fieldNames:{},debug:false},aw);if(ay.fieldName==="ID"&&_spUserId!=undefined){return _spUserId}var t="";var ax={};var az=ay.fieldNames.length>0?ay.fieldNames.length:1;var av;V.ajax({async:false,url:V().SPServices.SPGetCurrentSite()+"/_layouts/userdisp.aspx?Force=True&"+new Date().getTime(),complete:function(aB,aA){av=aB}});for(ao=0;ao<az;ao++){if(ay.fieldNames[ao]==="ID"){t=_spUserId}else{var i;if(az>1){i=RegExp('FieldInternalName="'+ay.fieldNames[ao]+'"',"gi")}else{i=RegExp('FieldInternalName="'+ay.fieldName+'"',"gi")}V(av.responseText).find("table.ms-formtable td[id^='SPField']").each(function(){if(i.test(V(this).html())){switch(V(this).attr("id")){case"SPFieldText":t=V(this).text();break;case"SPFieldNote":t=V(this).find("div").html();break;case"SPFieldURL":t=V(this).find("img").attr("src");break;default:t=V(this).text();break}return false}})}if(ay.fieldNames[ao]!=="ID"){t=(t!==undefined)?t.replace(/(^[\s\xA0]+|[\s\xA0]+$)/g,""):null}if(az>1){ax[ay.fieldNames[ao]]=t}}return(az>1)?ax:t};V.fn.SPServices.SPLookupAddNew=function(aw){var ax=V.extend({},{lookupColumn:"",promptText:"Add new {0}",newWindow:false,ContentTypeID:"",completefunc:null,debug:false},aw);var aA="SPServices.SPLookupAddNew";var av=new ai(ax.lookupColumn);if(av.Obj.html()===null&&ax.debug){R(aA,"lookupColumn: "+ax.lookupColumn,ae);return}var az="";var t="";var ay="";V().SPServices({operation:"GetList",async:false,cacheXML:true,listName:V().SPServices.SPListNameFromUrl(),completefunc:function(aC,aB){V(aC.responseXML).find("Field[DisplayName='"+ax.lookupColumn+"']").each(function(){ay=V(this).attr("StaticName");V().SPServices({operation:"GetList",async:false,cacheXML:true,listName:V(this).attr("List"),completefunc:function(aE,aD){V(aE.responseXML).find("List").each(function(){t=V(this).attr("WebFullUrl");t=t!==k?t+k:t})}});az=v(V(this).attr("List"),"NewForm");return false})}});if(t.length===0&&ax.debug){R(aA,"lookupColumn: "+ax.lookupColumn,"This column does not appear to be a lookup column");return}if(az.length>0){var i=t+az;i+=ax.newWindow?((ax.ContentTypeID.length>0)?"?ContentTypeID="+ax.ContentTypeID:"")+"' target='_blank'":"?"+((ax.ContentTypeID.length>0)?"ContentTypeID="+ax.ContentTypeID+"&":"")+"Source="+ar(location.href)+"'";newLink="<div id='SPLookupAddNew_"+ay+"'><a href='"+i+">"+ax.promptText.replace(/\{0\}/g,ax.lookupColumn)+"</a></div>";V(av.Obj).parents("td.ms-formbody").append(newLink)}else{if(ax.debug){R(aA,"lookupColumn: "+ax.lookupColumn,"NewForm cannot be found");return}}if(ax.completefunc!==null){ax.completefunc()}};V.fn.SPServices.SPGetLastItemId=function(t){var aw=V.extend({},{webURL:"",listName:"",userAccount:"",CAMLQuery:""},t);var av;var ax=0;V().SPServices({operation:"GetUserInfo",webURL:aw.webURL,async:false,userLoginName:(aw.userAccount!=="")?aw.userAccount:V().SPServices.SPGetCurrentUser(),completefunc:function(az,ay){V(az.responseXML).find("User").each(function(){av=V(this).attr("ID")})}});var i="<Query><Where>";if(aw.CAMLQuery.length>0){i+="<And>"}i+="<Eq><FieldRef Name='Author' LookupId='TRUE'/><Value Type='Integer'>"+av+"</Value></Eq>";if(aw.CAMLQuery.length>0){i+=aw.CAMLQuery+"</And>"}i+="</Where><OrderBy><FieldRef Name='Created_x0020_Date' Ascending='FALSE'/></OrderBy></Query>";V().SPServices({operation:"GetListItems",async:false,webURL:aw.webURL,listName:aw.listName,CAMLQuery:i,CAMLViewFields:"<ViewFields><FieldRef Name='ID'/></ViewFields>",CAMLRowLimit:1,CAMLQueryOptions:"<QueryOptions><ViewAttributes Scope='Recursive' /></QueryOptions>",completefunc:function(az,ay){V(az.responseXML).SPFilterNode("z:row").each(function(){ax=V(this).attr("ows_ID")})}});return ax};V.fn.SPServices.SPRequireUnique=function(aB){var i=V.extend({},{columnStaticName:"Title",duplicateAction:0,ignoreCase:false,initMsg:"This value must be unique.",initMsgCSSClass:"ms-vb",errMsg:"This value is not unique.",errMsgCSSClass:"ms-formvalidation",showDupes:false,completefunc:null},aB);var av=V().SPServices.SPGetQueryString();var az=av.ID;var ay=V().SPServices.SPListNameFromUrl();var t="<span id='SPRequireUnique"+i.columnStaticName+"' class='{0}'>{1}</span><br/>";var ax=t.replace(/\{0\}/g,i.initMsgCSSClass).replace(/\{1\}/g,i.initMsg);var aw=V().SPServices.SPGetDisplayFromStatic({listName:ay,columnStaticName:i.columnStaticName});var aA=V("input[Title='"+aw+"']");V(aA).parent().append(ax);V(aA).blur(function(){var aE=[];var aF=V(this).attr("value");if(aF.length===0){return false}V().SPServices({operation:"GetListItems",async:false,listName:ay,CAMLQuery:"<Query><Where><IsNotNull><FieldRef Name='"+i.columnStaticName+"'/></IsNotNull></Where></Query>",CAMLViewFields:"<ViewFields><FieldRef Name='ID' /><FieldRef Name='"+i.columnStaticName+"' /></ViewFields>",CAMLRowLimit:0,completefunc:function(aI,aG){var aH=i.ignoreCase?aF.toUpperCase():aF;V(aI.responseXML).SPFilterNode("z:row").each(function(){var aJ=i.ignoreCase?V(this).attr("ows_"+i.columnStaticName).toUpperCase():V(this).attr("ows_"+i.columnStaticName);if((aH===aJ)&&(V(this).attr("ows_ID")!==az)){aE.push([V(this).attr("ows_ID"),V(this).attr("ows_"+i.columnStaticName)])}})}});var aD=i.initMsg;V("span#SPRequireUnique"+i.columnStaticName).html(aD).attr("class",i.initMsgCSSClass);V("input[value='OK']:disabled, input[value='Save']:disabled").removeAttr("disabled");if(aE.length>0){aD=i.errMsg;V("span#SPRequireUnique"+i.columnStaticName).html(aD).attr("class",i.errMsgCSSClass);if(i.duplicateAction===1){V("input[Title='"+i.columnDisplayName+"']").focus();V("input[value='OK'], input[value='Save']").attr("disabled","disabled")}if(i.showDupes){var aC=" "+aE.length+" duplicate item"+(aE.length>1?"s":"")+": ";for(ao=0;ao<aE.length;ao++){aC+="<a href='DispForm.aspx?ID="+aE[ao][0]+"&Source="+location.href+"'>"+aE[ao][1]+"</a> "}V("span#SPRequireUnique"+i.columnStaticName).append(aC)}}});if(i.completefunc!==null){i.completefunc()}};V.fn.SPServices.SPGetDisplayFromStatic=function(t){var av=V.extend({},{webURL:"",listName:"",columnStaticName:"",columnStaticNames:{}},t);var i="";var aw={};var ax=av.columnStaticNames.length>0?av.columnStaticNames.length:1;V().SPServices({operation:"GetList",async:false,cacheXML:true,webURL:av.webURL,listName:av.listName,completefunc:function(az,ay){if(ax>1){for(ao=0;ao<ax;ao++){aw[av.columnStaticNames[ao]]=V(az.responseXML).find("Field[StaticName='"+av.columnStaticNames[ao]+"']").attr("DisplayName")}}else{i=V(az.responseXML).find("Field[StaticName='"+av.columnStaticName+"']").attr("DisplayName")}}});return(ax>1)?aw:i};V.fn.SPServices.SPGetStaticFromDisplay=function(i){var av=V.extend({},{webURL:"",listName:"",columnDisplayName:"",columnDisplayNames:{}},i);var t="";var aw={};var ax=av.columnDisplayNames.length>0?av.columnDisplayNames.length:1;V().SPServices({operation:"GetList",async:false,cacheXML:true,webURL:av.webURL,listName:av.listName,completefunc:function(az,ay){if(ax>1){for(ao=0;ao<ax;ao++){aw[av.columnDisplayNames[ao]]=V(az.responseXML).find("Field[DisplayName='"+av.columnDisplayNames[ao]+"']").attr("StaticName")}}else{t=V(az.responseXML).find("Field[DisplayName='"+av.columnDisplayName+"']").attr("StaticName")}}});return(ax>1)?aw:t};V.fn.SPServices.SPRedirectWithID=function(aB){var i=V.extend({},{redirectUrl:"",qsParamName:"ID"},aB);var az=V().SPServices.SPListNameFromUrl();var t=V().SPServices.SPGetQueryString();var aw=t.ID;var ax=t.List;var aA=t.RootFolder;var ay=t.ContentTypeId;if(typeof t.ID==="undefined"){aw=V().SPServices.SPGetLastItemId({listName:az});V("form[name='aspnetForm']").each(function(){var aD=(location.href.indexOf("?")>0)?location.href.substring(0,location.href.indexOf("?")):location.href;var aE=(typeof t.Source==="string")?"Source="+t.Source.replace(/\//g,"%2f").replace(/:/g,"%3a"):"";var aC=[];if(typeof ax!=="undefined"){aC.push("List="+ax)}if(typeof aA!=="undefined"){aC.push("RootFolder="+aA)}if(typeof ay!=="undefined"){aC.push("ContentTypeId="+ay)}var aF=aD+((aC.length>0)?("?"+aC.join("&")+"&"):"?")+"Source="+aD+"?ID="+aw+((aE.length>0)?("%26RealSource="+t.Source):"")+((typeof t.RedirectURL==="string")?("%26RedirectURL="+t.RedirectURL):"");V(this).attr("action",aF)})}else{while(t.ID===aw){aw=V().SPServices.SPGetLastItemId({listName:az})}var av=(typeof t.RedirectURL==="string")?t.RedirectURL:i.redirectUrl;location.href=av+"?"+i.qsParamName+"="+aw+((typeof t.RealSource==="string")?("&Source="+t.RealSource):"")}};V.fn.SPServices.SPSetMultiSelectSizes=function(aD){var i=V.extend({},{multiSelectColumn:"",minWidth:0,maxWidth:0,debug:false},aD);var az="SPServices.SPSetMultiSelectSizes";var ax=new ai(i.multiSelectColumn);if(ax.Obj.html()===null&&i.debug){R(az,"multiSelectColumn: "+i.multiSelectColumn,ae);return}if(ax.Type!=="M"&&i.debug){R(az,"multiSelectColumn: "+i.multiSelectColumn,"Column is not multi-select.");return}var ay=ax.Obj;var aB=ay.closest("span").find("select[ID$='SelectResult']");var aA=n("SPSetMultiSelectSizes",i.multiSelectColumn);ay.clone().appendTo(ay.closest("span")).css({width:"auto",height:0,visibility:"hidden"}).attr({id:aA,length:0});var aw=V("#"+aA);ay.find("option").each(function(){aw.append("<option value='"+V(this).html()+"'>"+V(this).html()+"</option>")});aB.find("option").each(function(){aw.append("<option value='"+V(this).html()+"'>"+V(this).html()+"</option>")});var t=V("#"+aA).width()+5;var aC=t;if(i.minWidth>0||i.maxWidth>0){if(t<i.minWidth){t=i.minWidth}if(aC<i.minWidth){aC=i.minWidth}if(aC>i.maxWidth){aC=i.maxWidth}}var av=t;ay.css("width",av+"px").parent().css("width",aC+"px");aB.css("width",av+"px").parent().css("width",aC+"px");V("#"+aA).remove()};V.fn.SPServices.SPScriptAudit=function(av){var aw=V.extend({},{webURL:"",listName:"",outputId:"",auditForms:true,auditViews:true,auditPages:true,auditPagesListName:"Pages",showHiddenLists:false,showNoScript:false,showSrc:true},av);var t=[["New","NewForm.aspx",false],["Display","DispForm.aspx",false],["Edit","EditForm.aspx",false]];var ax;V("#"+aw.outputId).append("<table id='SPScriptAudit' width='100%' style='border-collapse: collapse;' border=0 cellSpacing=0 cellPadding=1><tr><th></th><th>List</th><th>Page Class</th><th>Page Type</th><th>Page</th>"+(aw.showSrc?"<th>Script References</th>":"")+"</tr></table>");V("#SPScriptAudit th").attr("class","ms-vh2-nofilter");if(aw.auditForms||aw.auditViews){V().SPServices({operation:"GetListCollection",webURL:aw.webURL,async:false,completefunc:function(aA,az){V(aA.responseXML).find("List").each(function(){ax=V(this);if((aw.listName.length===0)||(ax.attr("Title")===aw.listName)){if((aw.showHiddenLists&&ax.attr("Hidden")==="False")||!aw.showHiddenLists){if(aw.auditForms){V().SPServices({operation:"GetListContentTypes",webURL:aw.webURL,listName:ax.attr("ID"),async:false,completefunc:function(aC,aB){V(aC.responseXML).find("ContentType").each(function(){if(V(this).attr("ID").substring(0,6)!=="0x0120"){var aE=V(this).find("FormUrls");for(ao=0;ao<t.length;ao++){V(aE).find(t[ao][0]).each(function(){p(aw,ax,"Form",this.nodeName,((aw.webURL.length>0)?aw.webURL:V().SPServices.SPGetCurrentSite())+k+V(this).text());t[ao][2]=true});if(!t[ao][2]){var aD=ax.attr("DefaultViewUrl");p(aw,ax,"Form",t[ao][0],aD.substring(0,aD.lastIndexOf(k)+1)+t[ao][1])}}for(ao=0;ao<t.length;ao++){t[ao][2]=false}}})}})}if(aw.auditViews){V().SPServices({operation:"GetViewCollection",webURL:aw.webURL,listName:ax.attr("ID"),async:false,completefunc:function(aC,aB){V(aC.responseXML).find("View").each(function(){p(aw,ax,"View",V(this).attr("DisplayName"),V(this).attr("Url"))})}})}}}})}})}var i=0;var ay=[];if(typeof aw.auditPagesListName==="string"){i=1;ay.push(aw.auditPagesListName)}else{i=aw.auditPagesListName.length;ay=aw.auditPagesListName}if(aw.auditPages){for(ao=0;ao<i;ao++){V().SPServices({operation:"GetList",async:false,cacheXML:true,webURL:aw.webURL,listName:ay[ao],completefunc:function(aA,az){V(aA.responseXML).find("List").each(function(){ax=V(this)})}});V().SPServices({operation:"GetListItems",async:false,webURL:aw.webURL,listName:ay[ao],CAMLQuery:"<Query><Where><Neq><FieldRef Name='ContentType'/><Value Type='Text'>Folder</Value></Neq></Where></Query>",CAMLViewFields:"<ViewFields><FieldRef Name='Title'/><FieldRef Name='FileRef'/></ViewFields>",CAMLRowLimit:0,completefunc:function(aA,az){V(aA.responseXML).SPFilterNode("z:row").each(function(){var aC=V(this).attr("ows_FileRef").split(";#")[1];var aB=(typeof V(this).attr("ows_Title")!=="undefined")?V(this).attr("ows_Title"):"";if(aC.indexOf(".aspx")>0){p(aw,ax,"Page",aB,k+aC)}})}})}}V("#SPScriptAudit tr[class='ms-alternating']:even").removeAttr("class")};function p(t,av,aC,ay,aw){var az=0;var aB=0;var ax={};ax.type=[];ax.src=[];ax.script=[];var aA=RegExp("<script[\\s\\S]*?/script>","gi");V.ajax({type:"GET",url:aw,dataType:"text",async:false,success:function(aH){while(scriptMatch=aA.exec(aH)){var aD=Q(scriptMatch,"language");var aI=Q(scriptMatch,"type");var aF=Q(scriptMatch,"src");if(aF!==null&&aF.length>0&&!U(aF)){ax.type.push((aD!==null&&aD.length>0)?aD:aI);ax.src.push(aF);aB++}}if((!t.showNoScript&&(ax.type.length>0))||t.showNoScript){var aG=aw.substring(0,aw.lastIndexOf(k)+1);var aE="<tr class=ms-alternating><td class=ms-vb-icon><a href='"+av.attr("DefaultViewUrl")+"'><IMG border=0 src='"+av.attr("ImageUrl")+"'width=16 height=16></A></TD><td class=ms-vb2><a href='"+av.attr("DefaultViewUrl")+"'>"+av.attr("Title")+((av.attr("Hidden")==="True")?"(Hidden)":"")+"</td><td class=ms-vb2>"+aC+"</td><td class=ms-vb2>"+ay+"</td><td class=ms-vb2><a href='"+aw+"'>"+J(aw)+"</td>";if(t.showSrc){var i;aE+="<td valign='top'><table width='100%' style='border-collapse: collapse;' border=0 cellSpacing=0 cellPadding=1>";for(az=0;az<ax.type.length;az++){i=(ax.src[az].substr(0,1)!==k)?aG+ax.src[az]:ax.src[az];aE+="<tr><td class=ms-vb2 width='30%'>"+ax.type[az]+"</td>";aE+="<td class=ms-vb2 width='70%'><a href='"+i+"'>"+J(ax.src[az])+"</td></tr>"}aE+="</table></td>"}V("#SPScriptAudit").append(aE)}}})}function Q(av,t){var i=RegExp(t+"=(\"([^\"]*)\")|('([^']*)')","gi");if(matches=i.exec(av)){return matches[2]}return null}function U(aw){var av;var t=["WebResource.axd","_layouts"];for(av=0;av<t.length;av++){if(aw.indexOf(t[av])>-1){return true}}return false}V.fn.SPServices.SPArrangeChoices=function(aC){var t=V.extend({},{listName:"",columnName:"",perRow:99,randomize:false},aC);var ay=false;var az=[];var aw;V().SPServices({operation:"GetList",async:false,cacheXML:true,listName:(t.listName.length>0)?t.listName:V().SPServices.SPListNameFromUrl(),completefunc:function(aE,aD){V(aE.responseXML).find("Fields").each(function(){V(this).find("Field[DisplayName='"+t.columnName+"']").each(function(){ay=(V(this).attr("FillInChoice")==="TRUE")?true:false;return false})})}});var av=al(t.columnName);var ax=V(av).find("tr").length;var aA=0;var i;var aB;V(av).find("tr").each(function(){aA++;if(ay&&aA===(ax-1)){i=V(this).find("td").html()}else{if(ay&&aA===ax){aB=V(this).find("td").html()}else{az.push(V(this).html())}}});aw="<TR>";if(t.randomize){az.sort(an)}for(ao=0;ao<az.length;ao++){aw+=az[ao];if((ao+1)%t.perRow===0){aw+="</TR><TR>"}}aw+="</TR>";if(ay){aw+="<TR><TD colspan='99'>"+i+aB+"</TD></TR>"}V(av).find("tr").remove();V(av).find("table").append(aw)};V.fn.SPServices.SPAutocomplete=function(av){var aw=V.extend({},{WebURL:"",sourceList:"",sourceColumn:"",columnName:"",CAMLQuery:"",CAMLQueryOptions:"<QueryOptions></QueryOptions>",CAMLRowLimit:0,filterType:"BeginsWith",numChars:0,ignoreCase:false,highlightClass:"",uniqueVals:false,maxHeight:99999,slideDownSpeed:"fast",processingIndicator:"_layouts/images/REFRESH.GIF",debug:false},av);var ay;var t=V("input[Title='"+aw.columnName+"']");V("input[Title='"+aw.columnName+"']").css("position","");var az=t.attr("ID");var ax=t.css("color");var aA=t.css("width");if(t.html()===null&&aw.debug){R("SPServices.SPAutocomplete","columnName: "+aw.columnName,"Column is not an input control or is not found on page");return}t.closest("span").find("br").remove();t.wrap("<div>");var i=n("SPAutocomplete",aw.columnName);t.after("<div><ul id='"+i+"' style='width:"+aA+";display:none;padding:2px;border:1px solid #2A1FAA;background-color:#FFF;position:absolute;z-index:40;margin:0'></div>");V("#"+i).css("width",aA);V(t).keyup(function(){var aJ=V(this).val();V("#"+i).hide();if(aJ.length<aw.numChars){return false}t.css({"background-image":"url("+aw.processingIndicator+")","background-position":"right","background-repeat":"no-repeat"});var aI=[];var aB="<Query><OrderBy><FieldRef Name='"+aw.sourceColumn+"'/></OrderBy><Where>";if(aw.CAMLQuery.length>0){aB+="<And>"}aB+="<"+aw.filterType+"><FieldRef Name='"+aw.sourceColumn+"'/><Value Type='Text'>"+aJ+"</Value></"+aw.filterType+">";if(aw.CAMLQuery.length>0){aB+=aw.CAMLQuery+"</And>"}aB+="</Where></Query>";V().SPServices({operation:"GetListItems",async:false,webURL:aw.WebURL,listName:aw.sourceList,CAMLQuery:aB,CAMLQueryOptions:aw.CAMLQueryOptions,CAMLViewFields:"<ViewFields><FieldRef Name='"+aw.sourceColumn+"' /></ViewFields>",CAMLRowLimit:aw.CAMLRowLimit,completefunc:function(aN,aL){var aM=aw.ignoreCase?aJ.toUpperCase():aJ;V(aN.responseXML).SPFilterNode("z:row").each(function(){var aP=V(this).attr("ows_"+aw.sourceColumn);var aQ=aw.ignoreCase?V(this).attr("ows_"+aw.sourceColumn).toUpperCase():V(this).attr("ows_"+aw.sourceColumn);if(aw.filterType==="Contains"){var aO=aQ.indexOf(aM);if((aO>=0)&&(!aw.uniqueVals||(V.inArray(aP,aI)===-1))){aI.push(V(this).attr("ows_"+aw.sourceColumn))}}else{if(aM===aQ.substr(0,aM.length)&&(!aw.uniqueVals||(V.inArray(aP,aI)===-1))){aI.push(V(this).attr("ows_"+aw.sourceColumn))}}})}});var aE="";for(ao=0;ao<aI.length;ao++){if(aw.highlightClass.length>0){var aD=RegExp(aJ,aw.ignoreCase?"gi":"g");var aG=aI[ao].match(aD);var aF=0;for(ay=0;ay<aG.length;ay++){var aH=aI[ao].indexOf(aG[ay],aF);var aC=aH+aG[ay].length;var aK="<span class='"+aw.highlightClass+"'>"+aG[ay]+"</span>";aI[ao]=aI[ao].substr(0,aH)+aK+aI[ao].substr(aC);aF=aH+aK.length}}aE+="<li style='display: block;position: relative;cursor: pointer;'>"+aI[ao]+"</li>"}V("#"+i).html(aE);V("#"+i+" li").click(function(){V("#"+i).fadeOut(aw.slideUpSpeed);V("#"+az).val(V(this).text())}).mouseover(function(){var aL={cursor:"hand",color:"#ffffff",background:"#3399ff"};V(this).css(aL)}).mouseout(function(){var aL={cursor:"inherit",color:ax,background:"transparent"};V(this).css(aL)});if(aI.length>0){V("#"+i).slideDown(aw.slideDownSpeed)}t.css("background-image","")})};V.fn.SPServices.SPGetQueryString=function(){var ax;var ay={};var t=location.search.substring(1,location.search.length);var av=t.split("&");var aw=/^([^=]+)=(.*)/i;for(ax=0;ax<av.length;ax++){matches=aw.exec(av[ax]);if(aw.test(location.href)){if(matches!==null&&matches.length>2){ay[matches[1]]=unescape(matches[2]).replace(/\+/g," ")}}}return ay};V.fn.SPServices.SPListNameFromUrl=function(i){var t=V.extend({},{listName:""},i);if(t.listName.length>0){y=t.listName;return y}else{if(y.length>0){return y}}var aw=location.href;var av=aw.substring(0,aw.indexOf(".aspx"));var ax=decodeURIComponent(av.substring(0,av.lastIndexOf(k)+1)).toUpperCase();V().SPServices({operation:"GetListCollection",async:false,completefunc:function(az,ay){V(az.responseXML).find("List").each(function(){var aA=V(this).attr("DefaultViewUrl");var aB=aA.substring(0,aA.lastIndexOf(k)+1).toUpperCase();if(ax.indexOf(aB)>0){y=V(this).attr("ID");return false}})}});return y};V.fn.SPServices.SPUpdateMultipleListItems=function(aw){var ay=V.extend({},{webURL:"",listName:"",CAMLQuery:"",batchCmd:"Update",valuepairs:[],completefunc:null,debug:false},aw);var ax;var aA=[];var az=[];V().SPServices({operation:"GetListItems",async:false,webURL:ay.webURL,listName:ay.listName,CAMLQuery:ay.CAMLQuery,CAMLQueryOptions:"<QueryOptions><ViewAttributes Scope='Recursive' /></QueryOptions>",completefunc:function(aB,i){V(aB.responseXML).SPFilterNode("z:row").each(function(){aA.push(V(this).attr("ows_ID"));var aC=V(this).attr("ows_FileRef");aC="/"+aC.substring(aC.indexOf(";#")+2);az.push(aC)})}});var t;var av="<Batch OnError='Continue'>";for(ax=0;ax<aA.length;ax++){av+="<Method ID='"+ax+"' Cmd='"+ay.batchCmd+"'>";for(t=0;t<ay.valuepairs.length;t++){av+="<Field Name='"+ay.valuepairs[t][0]+"'>"+D(ay.valuepairs[t][1])+"</Field>"}av+="<Field Name='ID'>"+aA[ax]+"</Field>";if(az[ax].length>0){av+="<Field Name='FileRef'>"+az[ax]+"</Field>"}av+="</Method>"}av+="</Batch>";V().SPServices({operation:"UpdateListItems",async:false,webURL:ay.webURL,listName:ay.listName,updates:av,completefunc:function(aB,i){if(ay.completefunc!==null){ay.completefunc(aB,i)}}})};V.fn.SPFilterNode=function(i){return this.find("*").filter(function(){return this.nodeName===i})};V.fn.SPXmlToJson=function(t){var aw=V.extend({},{mapping:{},includeAllAttrs:false,removeOws:true},t);var i;var av=[];this.each(function(){var aB={};var aA;var aD=this.attributes;V.each(aw.mapping,function(){aB[this.mappedName]=""});for(attrNum=0;attrNum<aD.length;attrNum++){var aC=aD[attrNum].name;var az=aw.mapping[aC];var ax=az!==undefined?az.mappedName:aw.removeOws?aC.split("ows_")[1]:aC;var ay=az!==undefined?az.objectType:undefined;if(aw.includeAllAttrs||az!==undefined){aB[ax]=O(aD[attrNum].value,ay)}}av.push(aB)});return av};function O(t,i){switch(i){case"DateTime":case"datetime":colValue=l(t);break;case"User":colValue=X(t);break;case"UserMulti":colValue=M(t);break;case"Lookup":colValue=c(t);break;case"LookupMulti":colValue=I(t);break;case"Boolean":colValue=z(t);break;case"Integer":colValue=h(t);break;case"Counter":colValue=h(t);break;case"MultiChoice":colValue=at(t);break;case"Currency":case"float":colValue=H(t);break;case"Calc":colValue=aq(t);break;default:colValue=u(t);break}return colValue}function u(i){return i}function h(i){return parseInt(i,10)}function H(i){return parseFloat(i)}function z(t){var i=t==="0"?false:true;return i}function l(i){return new Date(i.replace(/-/g,"/"))}function X(av){if(av.length===0){return null}else{var i=av.split(";#");var t=i[1].split(",#");if(t.length==1){return{userId:i[0],userName:i[1]}}else{return{userId:i[0],userName:t[0].replace(/(,,)/g,","),loginName:t[1].replace(/(,,)/g,","),email:t[2].replace(/(,,)/g,","),sipAddress:t[3].replace(/(,,)/g,","),title:t[4].replace(/(,,)/g,",")}}}}function M(av){if(av.length===0){return null}else{var aw=[];var t=av.split(";#");for(ao=0;ao<t.length;ao=ao+2){var i=X(t[ao]+";#"+t[ao+1]);aw.push(i)}return aw}}function c(i){if(i.length===0){return null}else{var t=i.split(";#");return{lookupId:t[0],lookupValue:t[1]}}}function I(t){if(t.length===0){return null}else{var aw=[];var i=t.split(";#");for(ao=0;ao<i.length;ao=ao+2){var av=c(i[ao]+";#"+i[ao+1]);aw.push(av)}return aw}}function at(av){if(av.length===0){return null}else{var i=[];var t=av.split(";#");for(ao=0;ao<t.length;ao++){if(t[ao].length!==0){i.push(t[ao])}}return i}}function aq(t){if(t.length===0){return null}else{var i=t.split(";#");return O(i[1],i[0])}}V.fn.SPFindPeoplePicker=function(av){var aw=V.extend({},{peoplePickerDisplayName:"",valueToSet:"",checkNames:true},av);var az=V("nobr").filter(function(){return V(this).contents().eq(0).text()===aw.peoplePickerDisplayName}).closest("tr");var t=az.find("div[name='upLevelDiv']");var i=az.find("img[Title='Check Names']:first");if(aw.valueToSet.length>0){t.html(aw.valueToSet)}if(aw.checkNames){i.click()}var ay=V.trim(t.text());var ax=[];t.children("span").each(function(){var aB=V(this).find("div[data]").attr("data");var aA={};if(aB!=undefined){var aC=V.parseXML(aB);$xml=V(aC);$xml.find("DictionaryEntry").each(function(){var aD=V(this).find("Key").text();var aE=V(this).find("Value").text();aA[aD]=aE});ax.push(aA)}else{V().SPServices({operation:"GetUserInfo",async:false,cacheXML:true,userLoginName:V(this).attr("title"),completefunc:function(aE,aD){V(aE.responseXML).find("User").each(function(){V.each(this.attributes,function(aG,aI){var aF=aI.name;var aH=aI.value;aA[aF]=aH});ax.push(aA)})}})}});return{row:az,contents:t,currentValue:ay,checkNames:i,dictionaryEntries:ax}};V.fn.SPServices.Version=function(){return B};function F(aF,aB,aG,aw){if(typeof aG==="undefined"){return""}var aC;var aD="";var aA;var ay;var aE=[];var ax=aw.relatedWebURL.length>0?aw.relatedWebURL:V().SPServices.SPGetCurrentSite();switch(aB.attr("Type")){case"Text":aD=aG;break;case"URL":switch(aB.attr("Format")){case"Hyperlink":aD="<a href='"+aG.substring(0,aG.search(","))+"'>"+aG.substring(aG.search(",")+1)+"</a>";break;case"Image":aD="<img alt='"+aG.substring(aG.search(",")+1)+"' src='"+aG.substring(0,aG.search(","))+"'/>";break;default:aD=aG;break}break;case"User":case"UserMulti":var t=aG.split(";#");for(aC=0;aC<t.length;aC=aC+2){aE.push("<a href='/_layouts/userdisp.aspx?ID="+t[aC]+"&Source="+ar(location.href)+"'>"+t[aC+1]+"</a>")}aD=aE.join(", ");break;case"Calculated":var az=aG.split(";#");aD=az[1];break;case"Number":ay=aB.attr("Decimals");aD=ay===undefined?parseFloat(aG).toString():parseFloat(aG).toFixed(ay).toString();break;case"Currency":ay=aB.attr("Decimals");aD=ay===undefined?parseFloat(aG).toFixed(2).toString():parseFloat(aG).toFixed(ay).toString();break;case"Lookup":switch(aB.attr("Name")){case"FileRef":aA=aF.attr("BaseType")==="1"?aF.attr("RootFolder")+k+"Forms/DispForm.aspx":aF.attr("RootFolder")+k+"DispForm.aspx";aD="<a href='"+aA+"?ID="+aG.substring(0,aG.search(";#"))+"&RootFolder=*&Source="+ar(location.href)+"'>"+aG.substring(aG.search(";#")+2)+"</a>";break;case"FileDirRef":aA=k+aG.substring(aG.search(";#")+2);aD="<a href='"+aA+"'>"+aG.substring(aG.search(";#")+2)+"</a>";break;default:aA=v(aB.attr("List"),"DisplayForm");aD="<a href='"+aw.relatedWebURL+k+aA+"?ID="+aG.substring(0,aG.search(";#"))+"&RootFolder=*&Source="+ar(location.href)+"'>"+aG.substring(aG.search(";#")+2)+"</a>";break}break;case"LookupMulti":aA=v(aB.attr("List"),"DisplayForm");aD="";if(aG.length>0){var av=aG.split(";#");for(aC=0;aC<av.length/2;aC++){aE.push("<a href='"+ax+k+aA+"?ID="+av[aC*2]+"&RootFolder=*&Source="+ar(location.href)+"'>"+av[(aC*2)+1]+"</a>")}}aD=aE.join(", ");break;case"File":J=aG.substring(aG.search(";#")+2);aD="<a href='"+aF.attr("RootFolder")+k+J+"'>"+J+"</a>";break;case"Counter":aD=aG;break;case"DateTime":aD=aG;break;default:aD=aG;break}return aD}function ak(ax,aw){var av;var t="<table class='ms-vb' width='100%'>";for(av=0;av<ax.attributes.length;av++){t+="<tr><td width='10px' style='font-weight:bold;'>"+av+"</td><td width='100px'>"+ax.attributes.item(av).nodeName+"</td><td>"+C(ax.attributes.item(av).nodeValue)+"</td></tr>"}t+="</table>";return t}function ai(i){if((this.Obj=V("select[Title='"+i+"']")).length===1){this.Type="S"}else{if((this.Obj=V("input[Title='"+i+"']")).length===1){this.Type="C"}else{if((this.Obj=V("select[ID$='SelectCandidate'][Title^='"+i+" ']")).length===1){this.Type="M"}else{if((this.Obj=V("select[ID$='SelectCandidate'][Title$=': "+i+"']")).length===1){this.Type="M"}else{if((this.Obj=V("select[ID$='SelectCandidate'][Title$='\""+i+"\".']")).length===1){this.Type="M"}else{if((this.Obj=V("select[ID$='SelectCandidate'][Title$=' "+i+"']")).length===1){this.Type="M"}else{this.Type=null}}}}}}}function W(aw,t){var i=[];switch(aw.Type){case"S":if(t){i.push(aw.Obj.find("option:selected").val()||[])}else{i.push(aw.Obj.find("option:selected").text()||[])}break;case"C":if(t){i.push(V("input[id='"+aw.Obj.attr("optHid")+"']").val()||[])}else{i.push(aw.Obj.attr("value")||[])}break;case"M":var av=aw.Obj.closest("span").find("select[ID$='SelectResult']");V(av).find("option").each(function(){i.push(V(this).html())});break;default:break}return i}function R(t,aw,av){var i="<b>Error in function</b><br/>"+t+"<br/><b>Parameter</b><br/>"+aw+"<br/><b>Message</b><br/>"+av+"<br/><br/><span onmouseover='this.style.cursor=\"hand\";' onmouseout='this.style.cursor=\"inherit\";' style='width=100%;text-align:right;'>Click to continue</span></div>";g(i)}function g(ay){var av="position:absolute;width:300px;height:150px;padding:10px;background-color:#000000;color:#ffffff;z-index:30;font-family:'Arial';font-size:12px;display:none;";V("#aspnetForm").parent().append("<div id='SPServices_msgBox' style="+av+">"+ay);var i=V("#SPServices_msgBox").height();var ax=V("#SPServices_msgBox").width();var aw=(V(window).width()/2)-(ax/2)+"px";var t=(V(window).height()/2)-(i/2)-100+"px";V("#SPServices_msgBox").css({border:"5px #C02000 solid",left:aw,top:t}).show().fadeTo("slow",0.75).click(function(){V(this).fadeOut("3000",function(){V(this).remove()})})}function n(i,t){return i+"_"+V().SPServices.SPGetStaticFromDisplay({listName:V().SPServices.SPListNameFromUrl(),columnDisplayName:t})}function v(i,aw){var av,t;V().SPServices({operation:"GetFormCollection",async:false,listName:i,completefunc:function(ay,ax){t=V(ay.responseXML).find("Form[Type='"+aw+"']").attr("Url")}});return t}function j(aw,t){var av;for(av=0;av<t.length;av++){if(typeof t[av]==="string"){S.payload+=K(t[av],aw[t[av]])}else{if(t[av].length===2){S.payload+=K(t[av][0],aw[t[av][1]])}else{R(aw.operation,"paramArray["+av+"]: "+t[av],"Invalid paramArray element passed to addToPayload()")}}}}function al(i){var av;var t=RegExp('FieldName="'+i.replace(/[-[\]{}()*+?.,\\^$|#\s]/g,"\\$&")+'"',"gi");V("td.ms-formbody, td.ms-formbodysurvey").each(function(){if(t.test(V(this).html())){av=V(this);return false}});return av}function aj(i,av){var t=av.substring(8);i.opheader=i.opheader.replace(av,t);i.opfooter=i.opfooter.replace(av,t);return i}function K(av,t){var i=t!==undefined?t:"";return"<"+av+">"+i+"</"+av+">"}function an(){return(Math.round(Math.random())-0.5)}function C(i){return((i.indexOf("http")===0)||(i.indexOf(k)===0))?"<a href='"+i+"'>"+i+"</a>":i}function J(i){return i.substring(i.lastIndexOf(k)+1,i.length)}function a(i){return i.replace(/&/g,"&amp;").replace(/"/g,"&quot;").replace(/</g,"&lt;").replace(/>/g,"&gt;")}function D(i){if(typeof i==="string"){return i.replace(/&(?![a-zA-Z]{1,8};)/g,"&amp;")}else{return i}}function ar(i){return i.replace(/&/g,"%26")}})(jQuery);
